# Interface IQueryErrorEventArgs

Argument sent to all handlers bound on QueryEvents.queryError

## Index

### Properties

- endpoint
- error
- query
- queryBuilder
- searchAsYouType

## Properties

### endpoint

endpoint: ISearchEndpoint

- Defined in events/QueryEvents.ts :137

The endpoint on which the error happened.

### error

error: IEndpointError

- Defined in events/QueryEvents.ts :145

The error info / message itself.

### query

query: IQuery

- Defined in events/QueryEvents.ts :141

The query that was just executed

### queryBuilder

queryBuilder: QueryBuilder

- Defined in events/QueryEvents.ts :133

The QueryBuilder that was used for the current query

### searchAsYouType

searchAsYouType: boolean

- Defined in events/QueryEvents.ts :149

Whether the query is a search-as-you-type

### Hierarchy

- IQueryErrorEventArgs